description

# NotificationEvent class Null safety

Inheritance
  - Object
  - Event
  - ExtendableEvent
  - NotificationEvent
Annotations
  - @Native("NotificationEvent")

## Constructors

NotificationEvent(String type, Map eventInitDict)
  factory

## Properties

action → String?
  read-only
bubbles → bool?
  read-only, inherited
cancelable → bool?
  read-only, inherited
composed → bool?
  read-only, inherited
currentTarget → EventTarget?
  read-only, inherited
defaultPrevented → bool
  read-only, inherited
eventPhase → int
  read-only, inherited
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
isTrusted → bool?
  read-only, inherited
matchingTarget → Element
  A pointer to the element whose CSS selector matched within which an event was fired. If this Event was not associated with any Event delegation, accessing this value will throw an UnsupportedError.
  read-only, inherited
notification → Notification?
  read-only
path → List<EventTarget>
  read-only, inherited
reply → String?
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
target → EventTarget?
  read-only, inherited
timeStamp → num?
  read-only, inherited
type → String
  read-only, inherited

## Methods

composedPath() → List<EventTarget>
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
preventDefault() → void
  inherited
stopImmediatePropagation() → void
  inherited
stopPropagation() → void
  inherited
toString() → String
  Returns a string representation of this object.
  inherited
waitUntil(Future f) → void
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited